# Method: customers.reports.countActiveDevices

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countActiveDevices#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countActiveDevices#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countActiveDevices#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countActiveDevices#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countActiveDevices#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countActiveDevices#body.CountActiveDevicesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countActiveDevices#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countActiveDevices#try-it)

Get a count of active devices per set time frames.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:countActiveDevices`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Obfuscated customer ID prefixed with "customers/C" or "customers/my_customer". |

### Query parameters

| Parameters ||
|---|---|
| `date` | ``object (`https://developers.google.com/chrome/management/reference/rest/Shared.Types/Date`)`` Represents the date from which the active devices are counted, based on UTC. The timestamp is in the [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601), `yyyy-mm-dd`. |

### Request body

The request body must be empty.

### Response body

Response containing the number of active devices.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "sevenDaysCount": string, "thirtyDaysCount": string } ``` |

| Fields ||
|---|---|
| `sevenDaysCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of active devices in the 7 days leading up to the date specified in the request. |
| `thirtyDaysCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of active devices in the 30 days leading up to the date specified in the request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.reports.readonly`